RefreshFrameInfo Struct Reference

Refresh frame flags for different type of frames. More...

`#include <encoder.h>`

## Data Fields

bool | golden_frame
bool | bwd_ref_frame
bool | alt_ref_frame

## Detailed Description

Refresh frame flags for different type of frames.

If the refresh flag is true for a particular reference frame, after the current frame is encoded, the reference frame gets refreshed (updated) to be the current frame. Note: Usually at most one flag will be set to true at a time. But, for key-frames, all flags are set to true at once.

## Field Documentation

## golden_frame

bool RefreshFrameInfo::golden_frame

Refresh flag for golden frame

Referenced by encode_without_recode(), get_rate_correction_factor(), rc_pick_q_and_bounds(), rc_pick_q_and_bounds_no_stats(), and set_rate_correction_factor().

## bwd_ref_frame

bool RefreshFrameInfo::bwd_ref_frame

Refresh flag for bwd-ref frame

## alt_ref_frame

bool RefreshFrameInfo::alt_ref_frame

Refresh flag for alt-ref frame

Referenced by get_rate_correction_factor(), rc_pick_q_and_bounds(), rc_pick_q_and_bounds_no_stats(), and set_rate_correction_factor().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h